jQuery(document).ready(function($) {
  var $cart_dest_type       = jQuery(".shipping-calculator-form #cart_destination_type");
  var $cart_dest_liftgate   = jQuery(".shipping-calculator-form #cart_destination_liftgate");
  var $cart_dest_liftgate_p = $cart_dest_liftgate.parents('p');
  var $cart_dest_inside     = jQuery(".shipping-calculator-form #cart_destination_inside");
  var $cart_dest_inside_p   = $cart_dest_inside.parents('p');

  var $ship_dest_type       = jQuery("#destination_type");
  var $ship_dest_liftgate   = jQuery("#destination_liftgate");
  var $ship_dest_liftgate_p = $ship_dest_liftgate.parents('p');
  var $ship_dest_inside     = jQuery("#destination_inside");
  var $ship_dest_inside_p   = $ship_dest_inside.parents('p');

  $cart_dest_type.on('change', check_delivery_options.bind(
    $cart_dest_type, $cart_dest_liftgate, $cart_dest_liftgate_p, $cart_dest_inside, $cart_dest_inside_p
  )).trigger('change');

  $ship_dest_type.on('change', check_delivery_options.bind(
    $ship_dest_type, $ship_dest_liftgate, $ship_dest_liftgate_p, $ship_dest_inside, $ship_dest_inside_p
  )).trigger('change');

  $ship_dest_inside.on('change', function() {
    jQuery('body').trigger('update_checkout');
  });

  $ship_dest_liftgate.on('change', function(){
    jQuery('body').trigger('update_checkout');
  });

  function check_delivery_options($liftgate, $liftgate_tr, $inside, $inside_tr) {
    switch (jQuery(this).val()) {
      case 'business dock':
      case 'trade show':
        $liftgate_tr.css({ display: 'none' });
        $liftgate.prop('checked', false);
        $inside_tr.css({ display: 'none' });
        $inside.prop('checked', false);
        break;
      case 'construction':
        $liftgate_tr.css({ display: 'table-row' });
        $inside_tr.css({ display: 'none' });
        $inside.prop('checked', false);
        break;
      default:
        $liftgate_tr.css({ display: 'table-row' });
        $inside_tr.css({ display: 'table-row' });
    }
    jQuery('body').trigger('update_checkout');
  }
});
